Open CASCADE Technology: IntTools_TopolTool Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IntTools_TopolTool Class Reference

Class redefine methods of TopolTool from Adaptor3d concerning sample points. More...

`#include <IntTools_TopolTool.hxx>`

Inheritance diagram for IntTools_TopolTool:
[legend]

## Public Member Functions
| IntTools_TopolTool ()
| Empty constructor. More...
| IntTools_TopolTool (const Handle< Adaptor3d_HSurface > &theSurface)
| Initializes me by surface. More...
virtual void | Initialize ()
| Redefined empty initializer. More...
virtual void | Initialize (const Handle< Adaptor3d_HSurface > &theSurface)
| Initializes me by surface. More...
virtual void | ComputeSamplePoints ()
virtual Standard_Integer | NbSamplesU ()
| Computes the sample-points for the intersections algorithms. More...
virtual Standard_Integer | NbSamplesV ()
| Computes the sample-points for the intersections algorithms. More...
virtual Standard_Integer | NbSamples ()
| Computes the sample-points for the intersections algorithms. More...
virtual void | SamplePoint (const Standard_Integer Index, gp_Pnt2d &P2d, gp_Pnt &P3d)
| Returns a 2d point from surface myS and a corresponded 3d point for given index. The index should be from 1 to NbSamples() More...
virtual void | SamplePnts (const Standard_Real theDefl, const Standard_Integer theNUmin, const Standard_Integer theNVmin)
| compute the sample-points for the intersections algorithms by adaptive algorithm for BSpline surfaces. For other surfaces algorithm is the same as in method ComputeSamplePoints(), but only fill arrays of U and V sample parameters; theDefl is a requred deflection theNUmin, theNVmin are minimal nb points for U and V. More...
Public Member Functions inherited from Adaptor3d_TopolTool
| Adaptor3d_TopolTool ()
| Adaptor3d_TopolTool (const Handle< Adaptor3d_HSurface > &Surface)
virtual void | Initialize (const Handle< Adaptor2d_HCurve2d > &Curve)
virtual void | Init ()
virtual Standard_Boolean | More ()
virtual Handle< Adaptor2d_HCurve2d > | Value ()
virtual void | Next ()
virtual void | InitVertexIterator ()
virtual Standard_Boolean | MoreVertex ()
virtual Handle< Adaptor3d_HVertex > | Vertex ()
virtual void | NextVertex ()
virtual TopAbs_State | Classify (const gp_Pnt2d &P, const Standard_Real Tol, const Standard_Boolean ReacdreOnPeriodic=Standard_True)
virtual Standard_Boolean | IsThePointOn (const gp_Pnt2d &P, const Standard_Real Tol, const Standard_Boolean ReacdreOnPeriodic=Standard_True)
virtual TopAbs_Orientation | Orientation (const Handle< Adaptor2d_HCurve2d > &C)
| If the function returns the orientation of the arc. If the orientation is FORWARD or REVERSED, the arc is a "real" limit of the surface. If the orientation is INTERNAL or EXTERNAL, the arc is considered as an arc on the surface. More...
virtual TopAbs_Orientation | Orientation (const Handle< Adaptor3d_HVertex > &V)
| Returns the orientation of the vertex V. The vertex has been found with an exploration on a given arc. The orientation is the orientation of the vertex on this arc. More...
virtual Standard_Boolean | Identical (const Handle< Adaptor3d_HVertex > &V1, const Handle< Adaptor3d_HVertex > &V2)
| Returns True if the vertices V1 and V2 are identical. This method does not take the orientation of the vertices in account. More...
virtual Standard_Boolean | Has3d () const
| answers if arcs and vertices may have 3d representations, so that we could use Tol3d and Pnt methods. More...
virtual Standard_Real | Tol3d (const Handle< Adaptor2d_HCurve2d > &C) const
| returns 3d tolerance of the arc C More...
virtual Standard_Real | Tol3d (const Handle< Adaptor3d_HVertex > &V) const
| returns 3d tolerance of the vertex V More...
virtual gp_Pnt | Pnt (const Handle< Adaptor3d_HVertex > &V) const
| returns 3d point of the vertex V More...
void | UParameters (TColStd_Array1OfReal &theArray) const
| return the set of U parameters on the surface obtained by the method SamplePnts More...
void | VParameters (TColStd_Array1OfReal &theArray) const
| return the set of V parameters on the surface obtained by the method SamplePnts More...
virtual Standard_Boolean | DomainIsInfinite ()
virtual Standard_Address | Edge () const
virtual void | BSplSamplePnts (const Standard_Real theDefl, const Standard_Integer theNUmin, const Standard_Integer theNVmin)
| compute the sample-points for the intersections algorithms by adaptive algorithm for BSpline surfaces - is used in SamplePnts theDefl is a requred deflection theNUmin, theNVmin are minimal nb points for U and V. More...
virtual Standard_Boolean | IsUniformSampling () const
| Returns true if provide uniform sampling of points. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Attributes inherited from Adaptor3d_TopolTool
Handle< Adaptor3d_HSurface > | myS
Standard_Integer | myNbSamplesU
Standard_Integer | myNbSamplesV
Handle< TColStd_HArray1OfReal > | myUPars
Handle< TColStd_HArray1OfReal > | myVPars

## Detailed Description

Class redefine methods of TopolTool from Adaptor3d concerning sample points.

## Constructor & Destructor Documentation

IntTools_TopolTool::IntTools_TopolTool | ( |  | ) |

Empty constructor.

IntTools_TopolTool::IntTools_TopolTool | ( | const Handle< Adaptor3d_HSurface > & | theSurface | ) |

Initializes me by surface.

## Member Function Documentation

virtual void IntTools_TopolTool::ComputeSamplePoints | ( |  | ) |
| virtual

Reimplemented from Adaptor3d_TopolTool.

virtual void IntTools_TopolTool::Initialize | ( |  | ) |
| virtual

Redefined empty initializer.

Warning: Raises the exception NotImplemented

Reimplemented from Adaptor3d_TopolTool.

virtual void IntTools_TopolTool::Initialize | ( | const Handle< Adaptor3d_HSurface > & | theSurface | ) |
| virtual

Initializes me by surface.

Reimplemented from Adaptor3d_TopolTool.

virtual Standard_Integer IntTools_TopolTool::NbSamples | ( |  | ) |
| virtual

Computes the sample-points for the intersections algorithms.

Reimplemented from Adaptor3d_TopolTool.

virtual Standard_Integer IntTools_TopolTool::NbSamplesU | ( |  | ) |
| virtual

Computes the sample-points for the intersections algorithms.

Reimplemented from Adaptor3d_TopolTool.

virtual Standard_Integer IntTools_TopolTool::NbSamplesV | ( |  | ) |
| virtual

Computes the sample-points for the intersections algorithms.

Reimplemented from Adaptor3d_TopolTool.

virtual void IntTools_TopolTool::SamplePnts | ( | const Standard_Real | theDefl,
|  | const Standard_Integer | theNUmin,
|  | const Standard_Integer | theNVmin
| ) |  |
| virtual

compute the sample-points for the intersections algorithms by adaptive algorithm for BSpline surfaces. For other surfaces algorithm is the same as in method ComputeSamplePoints(), but only fill arrays of U and V sample parameters; theDefl is a requred deflection theNUmin, theNVmin are minimal nb points for U and V.

Reimplemented from Adaptor3d_TopolTool.

virtual void IntTools_TopolTool::SamplePoint | ( | const Standard_Integer | Index,
|  | gp_Pnt2d & | P2d,
|  | gp_Pnt & | P3d
| ) |  |
| virtual

Returns a 2d point from surface myS and a corresponded 3d point for given index. The index should be from 1 to NbSamples()

Reimplemented from Adaptor3d_TopolTool.

The documentation for this class was generated from the following file:

- IntTools_TopolTool.hxx